%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           pyclutter-gtk
Version:        0.10.0
Release:        6%{?dist}
Summary:        Python modules that allow you to use the Clutter-GTK toolkit

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org/
Source0:        http://www.clutter-project.org/sources/%{name}/0.10/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		pyclutter-gtk-0.10.0-clutter-gtk-1.0.patch
Patch1:		pyclutter-gtk-0.10.0-git-changes-20100929.patch
# See http://git.clutter-project.org/clutter-gtk/commit/?id=bdbb3c3c2fba04a251b4217dfd5ea5c88bbc830f
Patch2:		pyclutter-gtk-0.10.0-no-scrollable.patch
Patch3:		pyclutter-gtk-0.10.0-no-zoomable.patch
Patch4:		pyclutter-gtk-0.10.0-no-standin.patch
Patch5:		pyclutter-gtk-0.10.0-no-viewport.patch

BuildRequires:  clutter-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:  gtk2-devel
BuildRequires:  pygtk2-devel
BuildRequires:  pyclutter-devel

%description
This archive contains the Python modules that allow you to use the
Clutter toolkit in Python programs.

This package provides the binding for clutter-gtk

%package devel
Summary:        Pyclutter development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python-devel clutter-devel pygobject2-devel

%description devel
Header files and libraries for building a extension library for the
Pyclutter

%prep
%setup -q
%patch0 -p1 -b .clutter-gtk-1.0
%patch1 -p1 -b .git20100929
%patch2 -p1 -b .no-scrollable
%patch3 -p1 -b .no-zoomable
%patch4 -p1 -b .no-standin
%patch5 -p1 -b .no-viewport

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL="%{__install} -p" 

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/cluttergtk/
%{_datadir}/pyclutter/1.0/defs/cluttergtk*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-0.10.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 0.10.0-5
- Rebuild against newer gtk

* Mon Jan 10 2011 Matthias Clasen <mclasen@redhat.com> - 0.10.0-4
- Rebuild against newer gtk

* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10.0-3
- fix configure check to look for clutter-gtk-1.0
- update to latest git bits
- drop all Scrollable, Zoomable, Standin, and Viewport code mappings (gone in clutter-gtk-1.0)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Apr  3 2010 Peter Robinson <pbrobinson@gmail.com> - 0.10.0-1
- Initial package
